Skip to main content
PUT
Update a monitor's settings.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

monitor_id
string
required

Body

application/json

Fields to update

Request body for updating a monitor (include only fields to update)

aiFilterEnabled
boolean

Use AI to filter relevance

filters
object

Platform-specific filters (subreddits, chatgptPrompt, etc.)

keywords
string[]

List of keywords to track

name
string

Display name for the monitor

notifyEmail
boolean

Send email notifications

notifyInApp
boolean

Send in-app notifications

notifyUserIds
string[]

List of user IDs to receive notifications

platforms
string[]

Platforms to monitor: reddit, hackernews, linkedin, x, quora, chatgpt, google_ai

status
string

Monitor status: active, paused

syncToListId
string

Smart list ID to sync mentions to

Response

The updated monitor

Monitor update response

monitor
object

The updated monitor

success
boolean

Whether update succeeded